#include <sys/types.h>
#include <stdio.h>
#include <time.h>
#include <sys/times.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <errno.h>
#include <pthread.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <limits.h>


#include "db.h"

/*
Page Size: Default Page Size set in BDB, which is the I/O block size for the file system (8Kb).
Database Size: 8192 pages.
Record Size: 250 bytes (32 records per page).
*/

#define DBSIZE 2000 /* number of pages in the DB */
#define RECSIZE 250 /* in bytes */
#define PAGESIZE 8192 /* in bytes */
#define PAGEHEADERSIZE 192 /* in bytes */
#define NUMREGIONS 20
#define NUMRECORDS 128

#define ENV_DIRECTORY "./txnTemp/"
